Package org.eclipse.m2m.atl.emftvm.util

# Class EnumConversionList

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.LazyCollection<Object>
org.eclipse.m2m.atl.emftvm.util.LazyList<Object>
org.eclipse.m2m.atl.emftvm.util.EnumConversionList

All Implemented Interfaces:
  `Iterable<Object>`, `Collection<Object>`, `List<Object>`, `SequencedCollection<Object>`, `org.eclipse.emf.common.util.EList<Object>`

Direct Known Subclasses:
  `EnumConversionListOnList`

public class EnumConversionList extends LazyList<Object>
Converts `Enumerator`s to `EnumLiteral`s.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`EnumConversionList.EnumConversionIterator`
`Iterator` for `EnumConversionList`.

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

## Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

## Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

## Constructor Summary

Constructors
Constructor
Description
`EnumConversionList(Collection<Object> dataSource)`
Creates a new `EnumConversionList` around `dataSource`.

## Method Summary

Modifier and Type
Method
Description
`EnumConversionList`
`cache()`
Forces cache completion.
`protected final Object`
`convert(Object object)`
Performs the element conversion.
`protected void`
`createCache()`
Creates the cache collections.
`Iterator<Object>`
`iterator()`
`int`
`size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, addFirst, addLast, clear, contains, containsAll, getFirst, getLast, isEmpty, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, sort, spliterator, toArray, toArray`

## Constructor Details

### EnumConversionList

public EnumConversionList(Collection<Object> dataSource)
Creates a new `EnumConversionList` around `dataSource`.

Parameters:
  `dataSource` - the collection to wrap

## Method Details

### convert

protected final Object convert(Object object)
Performs the element conversion.

Parameters:
  `object` - the object to convert
Returns:
  the converted object

### iterator

public Iterator<Object> iterator()

Specified by:
  `iterator` in interface `Collection<Object>`
Specified by:
  `iterator` in interface `Iterable<Object>`
Specified by:
  `iterator` in interface `List<Object>`
Overrides:
  `iterator` in class `LazyCollection<Object>`

### size

public int size()

Specified by:
  `size` in interface `Collection<Object>`
Specified by:
  `size` in interface `List<Object>`
Overrides:
  `size` in class `LazyCollection<Object>`

### cache

public EnumConversionList cache()
Forces cache completion.

Returns:
  this list

### createCache

protected void createCache()
Creates the cache collections.

Overrides:
  `createCache` in class `LazyList<Object>`